summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /sci-libs/adolc
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'sci-libs/adolc')
-rw-r--r--sci-libs/adolc/Manifest3
-rw-r--r--sci-libs/adolc/adolc-2.4.1.ebuild39
-rw-r--r--sci-libs/adolc/adolc-2.5.0.ebuild45
-rw-r--r--sci-libs/adolc/adolc-2.5.2.ebuild47
-rw-r--r--sci-libs/adolc/files/adolc-2.4.0-no-colpack.patch24
-rw-r--r--sci-libs/adolc/files/adolc-2.5.0-no-colpack.patch57
-rw-r--r--sci-libs/adolc/files/adolc-2.5.0-pkgconfig-no-ldflags.patch9
-rw-r--r--sci-libs/adolc/files/adolc-2.5.2-dash.patch148
-rw-r--r--sci-libs/adolc/metadata.xml14
9 files changed, 386 insertions, 0 deletions
diff --git a/sci-libs/adolc/Manifest b/sci-libs/adolc/Manifest
new file mode 100644
index 00000000000..39489cbe99b
--- /dev/null
+++ b/sci-libs/adolc/Manifest
@@ -0,0 +1,3 @@
+DIST ADOL-C-2.4.1.tgz 2210414 SHA256 05bf946cc1764e2b3fa7e708ccc4303f289699d9f36b9d525f6a9a6129b4d578 SHA512 5e5135ca587d159510bf77338fdff3d324f4d32c4ec6f8cf64ddc92253b427b8ee26a30bc1d83fe18121bbfdc7454c3536f58849c0c335e1b240e39d46acdccc WHIRLPOOL cd66a895dc3cb1f6f4f705a9fbce5a93dcb6856b6288704c3d3420be7f90e57296acd3fb2ea897ba5362e706429ec56b070bf0baa7094edcbf46c92d535bc492
+DIST ADOL-C-2.5.0.tgz 2313753 SHA256 908753153e0eca31752222150977eabd8ab97c4ab8fcd19f92667aba69a048a6 SHA512 e680565ed911bc15165c27281428c1daf35e95292dc3abc64aab6633068ec0d7e7ae626e692e0574b2c696a0c4aec2c79b2b02c3760acd2bd1b579a4c42d9585 WHIRLPOOL c0301c9a8f1357aa06be8e6a53bee9825a5d56cd31a2734862bcfd1f7c944935a4cd2c8c2ed49028493cb7c998008c9853b2d4bd7f6e0519ed353bbd3b7d0a8c
+DIST ADOL-C-2.5.2.tgz 2320010 SHA256 2fa514d9799989d6379738c2bcf75070d9834e4d227eb32a5b278840893b2af9 SHA512 3d2ef6e42504de9e9c1b5777afda8ece83fa61ab7c22fd471dce6bcb74af0a789d37cd2a6c9c9ead13f6c78e07ba985e7d14e79bcdf35fa56f8e73a2411905b5 WHIRLPOOL 55043cabe44b9913a7fba73ddaf0d64caa234d7002582d78dd9cfc05510ce3fbcb6dd3d1c40a2d6425f5ee1b7cc986d525d065671191096fbb303e122089c954
diff --git a/sci-libs/adolc/adolc-2.4.1.ebuild b/sci-libs/adolc/adolc-2.4.1.ebuild
new file mode 100644
index 00000000000..7adde9df110
--- /dev/null
+++ b/sci-libs/adolc/adolc-2.4.1.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+AUTOTOOLS_AUTORECONF=yes
+AUTOTOOLS_IN_SOURCE_BUILD=yes
+inherit autotools-utils toolchain-funcs
+
+MYPN=ADOL-C
+
+DESCRIPTION="Automatic differentiation system for C/C++"
+HOMEPAGE="https://projects.coin-or.org/ADOL-C/"
+SRC_URI="http://www.coin-or.org/download/source/${MYPN}/${MYPN}-${PV}.tgz"
+
+LICENSE="|| ( EPL-1.0 GPL-2 )"
+SLOT="0/1"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="sparse static-libs"
+
+RDEPEND="sparse? ( sci-libs/colpack )"
+DEPEND="${RDEPEND}"
+
+S="${WORKDIR}/${MYPN}-${PV}"
+
+PATCHES=( "${FILESDIR}"/${PN}-2.4.0-no-colpack.patch )
+
+src_configure() {
+ local myeconfargs=(
+ $(use_enable sparse)
+ $(use_with sparse colpack "${EPREFIX}"/usr)
+ )
+ autotools-utils_src_configure
+}
+
+src_test() {
+ autotools-utils_src_test test
+}
diff --git a/sci-libs/adolc/adolc-2.5.0.ebuild b/sci-libs/adolc/adolc-2.5.0.ebuild
new file mode 100644
index 00000000000..a74e53adb60
--- /dev/null
+++ b/sci-libs/adolc/adolc-2.5.0.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+AUTOTOOLS_AUTORECONF=yes
+#AUTOTOOLS_IN_SOURCE_BUILD=yes
+
+inherit autotools-utils toolchain-funcs
+
+MYPN=ADOL-C
+
+DESCRIPTION="Automatic differentiation system for C/C++"
+HOMEPAGE="https://projects.coin-or.org/ADOL-C/"
+SRC_URI="http://www.coin-or.org/download/source/${MYPN}/${MYPN}-${PV}.tgz"
+
+LICENSE="|| ( EPL-1.0 GPL-2 )"
+SLOT="0/1"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="mpi sparse static-libs"
+
+RDEPEND="mpi? ( sys-cluster/ampi:0= )
+ sparse? ( sci-libs/colpack:0= )"
+DEPEND="${RDEPEND}"
+
+S="${WORKDIR}/${MYPN}-${PV}"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-2.5.0-no-colpack.patch
+ "${FILESDIR}"/${PN}-2.5.0-pkgconfig-no-ldflags.patch
+)
+
+src_configure() {
+ local myeconfargs=(
+ $(use_enable mpi ampi)
+ $(use_enable sparse)
+ $(use_with sparse colpack "${EPREFIX}"/usr)
+ )
+ autotools-utils_src_configure
+}
+
+src_test() {
+ autotools-utils_src_test test
+}
diff --git a/sci-libs/adolc/adolc-2.5.2.ebuild b/sci-libs/adolc/adolc-2.5.2.ebuild
new file mode 100644
index 00000000000..eacb9e3990e
--- /dev/null
+++ b/sci-libs/adolc/adolc-2.5.2.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+AUTOTOOLS_AUTORECONF=yes
+#AUTOTOOLS_IN_SOURCE_BUILD=yes
+
+inherit autotools-utils toolchain-funcs
+
+MYPN=ADOL-C
+
+DESCRIPTION="Automatic differentiation system for C/C++"
+HOMEPAGE="https://projects.coin-or.org/ADOL-C/"
+SRC_URI="http://www.coin-or.org/download/source/${MYPN}/${MYPN}-${PV}.tgz"
+
+LICENSE="|| ( EPL-1.0 GPL-2 )"
+SLOT="0/1"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="mpi sparse static-libs"
+
+RDEPEND="
+ mpi? ( sys-cluster/ampi:0= )
+ sparse? ( sci-libs/colpack:0= )"
+DEPEND="${RDEPEND}"
+
+S="${WORKDIR}/${MYPN}-${PV}"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-2.5.0-no-colpack.patch
+ "${FILESDIR}"/${PN}-2.5.0-pkgconfig-no-ldflags.patch
+ "${FILESDIR}"/${P}-dash.patch
+)
+
+src_configure() {
+ local myeconfargs=(
+ $(use_enable mpi ampi)
+ $(use_enable sparse)
+ $(use_with sparse colpack "${EPREFIX}"/usr)
+ )
+ autotools-utils_src_configure
+}
+
+src_test() {
+ autotools-utils_src_test test
+}
diff --git a/sci-libs/adolc/files/adolc-2.4.0-no-colpack.patch b/sci-libs/adolc/files/adolc-2.4.0-no-colpack.patch
new file mode 100644
index 00000000000..e3b5a4a2ca5
--- /dev/null
+++ b/sci-libs/adolc/files/adolc-2.4.0-no-colpack.patch
@@ -0,0 +1,24 @@
+do not test colpack when user says no even when it is installed
+
+--- configure.ac.orig 2012-07-19 13:04:37.426461811 -0700
++++ configure.ac 2012-07-19 13:06:06.477916144 -0700
+@@ -281,7 +281,7 @@
+ COLPACK_LIBDIR=""
+ COLPACK_LIBS="-lColPack"
+ ])
+-
++if test x$colpack != xno; then
+ AC_LANG_PUSH([C++])
+ save_CPPFLAGS="$CPPFLAGS"
+ save_LIBS="$LIBS"
+@@ -301,7 +301,9 @@
+ CPPFLAGS="$save_CPPFLAGS"
+ LIBS="$save_LIBS"
+ AC_LANG_POP([C++])
+-
++else
++ have_colpack=no
++fi
+ AM_CONDITIONAL(HAVE_LIBCOLPACK,[test x$have_colpack = xyes])
+ if test x$have_colpack = xyes; then
+ sparse=yes
diff --git a/sci-libs/adolc/files/adolc-2.5.0-no-colpack.patch b/sci-libs/adolc/files/adolc-2.5.0-no-colpack.patch
new file mode 100644
index 00000000000..779890c8cf2
--- /dev/null
+++ b/sci-libs/adolc/files/adolc-2.5.0-no-colpack.patch
@@ -0,0 +1,57 @@
+ autoconf/colpack.m4 | 23 +++++++++++++----------
+ 1 file changed, 13 insertions(+), 10 deletions(-)
+
+diff --git a/autoconf/colpack.m4 b/autoconf/colpack.m4
+index 9792786..bd4ba5e 100644
+--- a/autoconf/colpack.m4
++++ b/autoconf/colpack.m4
+@@ -8,20 +8,20 @@ AC_ARG_WITH(colpack,
+ AS_HELP_STRING([--with-colpack=DIR],[path to the colpack library and headers [default=system libraries]])],
+ [
+ colpack=$withval
+-COLPACK_CFLAGS="-I$colpack/include"
+-if test x${_lib} != xlib ; then
+- D[[0]]="$colpack/${_lib}"
+- D[[1]]="$colpack/lib"
+-else
+- D[[0]]="$colpack/${_lib}"
+-fi
+ ],
+ [
+ COLPACK_CFLAGS=""
+ COLPACK_LIBS="-lColPack"
+ D[[0]]=""
+ ])
+-
++if test x$colpack != xno; then
++COLPACK_CFLAGS="-I$colpack/include"
++if test x${_lib} != xlib ; then
++ D[[0]]="$colpack/${_lib}"
++ D[[1]]="$colpack/lib"
++else
++ D[[0]]="$colpack/${_lib}"
++fi
+ AC_LANG_PUSH([C++])
+ save_CXXFLAGS="$CXXFLAGS"
+ save_CPPFLAGS="$CPPFLAGS"
+@@ -33,8 +33,8 @@ have_colpackheaders=no
+ CPPFLAGS="$save_CPPFLAGS"
+ CXXFLAGS="$save_CXXFLAGS"
+ ])
+-for ((i=0; i < ${#D[@]} ; i++)); do
+-COLPACK_LIBDIR="${D[[$i]]}"
++for i in ${D[@]}; do
++COLPACK_LIBDIR="${i}"
+ if test -n "$COLPACK_LIBDIR" ; then
+ COLPACK_LIBS="-L$COLPACK_LIBDIR -lColPack -Wl,-rpath,$COLPACK_LIBDIR"
+ fi
+@@ -56,6 +56,9 @@ else
+ fi
+ done
+ AC_LANG_POP([C++])
++else
++ have_colpack=no
++fi
+
+ AM_CONDITIONAL(HAVE_LIBCOLPACK,[test x$have_colpack = xyes])
+ if test x$have_colpack = xyes; then
diff --git a/sci-libs/adolc/files/adolc-2.5.0-pkgconfig-no-ldflags.patch b/sci-libs/adolc/files/adolc-2.5.0-pkgconfig-no-ldflags.patch
new file mode 100644
index 00000000000..4a6296e2db7
--- /dev/null
+++ b/sci-libs/adolc/files/adolc-2.5.0-pkgconfig-no-ldflags.patch
@@ -0,0 +1,9 @@
+--- adolclib.pc.in.orig 2014-05-21 09:09:10.060824555 -0700
++++ adolclib.pc.in 2014-05-21 09:09:10.060824555 -0700
+@@ -7,5 +7,5 @@
+ Version: @PACKAGE_VERSION@
+ Description: Algorithmic Differentiation Library for C/C++
+ Requires:
+-Libs: -L${libdir} -l@adolclib@ -Wl,-rpath,${libdir} @LDFLAGS@ @LIBS@
++Libs: -L${libdir} -l@adolclib@ @LIBS@
+ Cflags: -I${includedir}
diff --git a/sci-libs/adolc/files/adolc-2.5.2-dash.patch b/sci-libs/adolc/files/adolc-2.5.2-dash.patch
new file mode 100644
index 00000000000..3aa5a3035a1
--- /dev/null
+++ b/sci-libs/adolc/files/adolc-2.5.2-dash.patch
@@ -0,0 +1,148 @@
+ configure.ac | 45 +++++++++++++++++----------------------------
+ 1 file changed, 17 insertions(+), 28 deletions(-)
+
+diff --git a/configure.ac b/configure.ac
+index 926832c..1310025 100644
+--- a/configure.ac
++++ b/configure.ac
+@@ -29,12 +29,12 @@ AM_SILENT_RULES([yes])
+
+ adolclib=adolc
+
+-if test "x$CFLAGS" == x ; then
++if test "x$CFLAGS" = x ; then
+ ac_shell_cflags="not_set"
+ else
+ ac_shell_cflags="$CFLAGS"
+ fi
+-if test "x$CXXFLAGS" == x ; then
++if test "x$CXXFLAGS" = x ; then
+ ac_shell_cxxflags="not_set"
+ else
+ ac_shell_cxxflags="$CXXFLAGS"
+@@ -225,12 +225,12 @@ AS_HELP_STRING([--enable-harddebug],[enable ADOL-C hard debug mode
+ AC_MSG_RESULT(no)
+ ])
+
+-if test x$adolc_harddebug == xyes ; then
++if test x$adolc_harddebug = xyes ; then
+ adolc_debug=yes
+ AC_DEFINE(ADOLC_HARDDEBUG,1,[ADOL-C hard debug mode])
+ fi
+
+-if test x$adolc_debug == xyes ; then
++if test x$adolc_debug = xyes ; then
+ AC_DEFINE(ADOLC_DEBUG,1,[ADOL-C debug mode])
+ fi
+
+@@ -248,7 +248,7 @@ AS_HELP_STRING([--disable-stdczero],[adouble default constructor does not initia
+ AC_MSG_RESULT(yes)
+ ])
+
+-if test x$adolc_stdczero == xyes; then
++if test x$adolc_stdczero = xyes; then
+ AC_DEFINE(ADOLC_ADOUBLE_STDCZERO,1,[ADOL-C adouble zeroing mode])
+ fi
+
+@@ -265,7 +265,7 @@ AS_HELP_STRING([--enable-lateinit],[adouble constructors need to be called. With
+ AC_MSG_RESULT(no)
+ ])
+
+-if test x$adolc_late_init == xyes; then
++if test x$adolc_late_init = xyes; then
+ AC_DEFINE(ADOLC_ADOUBLE_LATEINIT,1,[ADOL-C adouble late initialization mode])
+ fi
+
+@@ -282,7 +282,7 @@ AS_HELP_STRING([--enable-tserrno],[use errno as thread number cache [default=no]
+ AC_MSG_RESULT(no)
+ ])
+
+-if test x$adolc_tserrno == xyes ; then
++if test x$adolc_tserrno = xyes ; then
+ AC_DEFINE(ADOLC_THREADSAVE_ERRNO,1,[ADOL-C thread save errno mode])
+ fi
+
+@@ -351,8 +351,8 @@ AC_ARG_WITH(cflags,
+ [AS_HELP_STRING([--with-cflags=FLAGS],
+ [use CFLAGS=FLAGS (default: -O2)])],
+ [ac_adolc_cflags="$withval"
+- if test x${adolc_debug} == xyes ||
+- test x${adolc_harddebug} == xyes ; then
++ if test "x${adolc_debug}" = xyes ||
++ test "x${adolc_harddebug}" = xyes ; then
+ ac_adolc_cflags="$ac_adolc_cflags -g -O0"
+ fi
+ ac_adolc_cflags="$ac_adolc_cflags $ac_adolc_openmpflag"
+@@ -360,8 +360,8 @@ AC_ARG_WITH(cflags,
+ AC_MSG_RESULT($ac_adolc_cflags)],
+ [if test "$ac_shell_cflags" = "not_set"; then
+ ac_adolc_cflags="-O2"
+- if test x${adolc_debug} == xyes ||
+- test x${adolc_harddebug} == xyes ; then
++ if test "x${adolc_debug}" = xyes ||
++ test "x${adolc_harddebug}" = xyes ; then
+ ac_adolc_cflags="-g -O0 -Wall -ansi"
+ fi
+ else
+@@ -377,8 +377,8 @@ AC_ARG_WITH(cxxflags,
+ [AS_HELP_STRING([--with-cxxflags=FLAGS],
+ [use CXXFLAGS=FLAGS (default: -O2)])],
+ [ac_adolc_cxxflags="$withval"
+- if test x${adolc_debug} == xyes ||
+- test x${adolc_harddebug} == xyes ; then
++ if test x${adolc_debug} = xyes ||
++ test x${adolc_harddebug} = xyes ; then
+ ac_adolc_cxxflags="$ac_adolc_cxxflags -g -O0"
+ fi
+ ac_adolc_cxxflags="$ac_adolc_cxxflags $ac_adolc_openmpflag"
+@@ -386,8 +386,8 @@ AC_ARG_WITH(cxxflags,
+ AC_MSG_RESULT($ac_adolc_cxxflags)],
+ [if test "$ac_shell_cxxflags" = "not_set"; then
+ ac_adolc_cxxflags="-O2"
+- if test x${adolc_debug} == xyes ||
+- test x${adolc_harddebug} == xyes ; then
++ if test x${adolc_debug} = xyes ||
++ test x${adolc_harddebug} = xyes ; then
+ ac_adolc_cxxflags="-g -O0 -Wall"
+ fi
+ else
+@@ -420,7 +420,7 @@ AC_ARG_ENABLE(tapedoc_values,
+ ])
+ AC_MSG_RESULT($tapedoc_values)
+
+-if test x$tapedoc_values == xyes; then
++if test x$tapedoc_values = xyes; then
+ AC_DEFINE(ADOLC_TAPE_DOC_VALUES,1,[ADOL-C tape_doc routine computes values])
+ fi
+
+@@ -583,7 +583,7 @@ while test "x${pdir}" != "x/" ; do
+ break
+ fi
+ done
+-if test "x${pdir}" == "x/" ; then
++if test "x${pdir}" = "x/" ; then
+ writable=false
+ fi
+ if ! ${writable} ; then
+@@ -595,15 +595,6 @@ if ! ${writable} ; then
+ warn=true
+ fi
+
+-case ${prefix} in
+- ${HOME}|${HOME}/*)
+-if $warn ; then
+- for (( i=5; i>0; i-- )); do
+- echo -ne "\rPlease read the above messages carefully, continuing in ${i} seconds"
+- sleep 1
+- done
+- echo -e "\rPlease read the above messages carefully "
+-fi
+ echo \
+ "
+ *****************************************************************************
+@@ -629,5 +620,3 @@ echo \
+
+ *****************************************************************************
+ "
+-;;
+-esac
diff --git a/sci-libs/adolc/metadata.xml b/sci-libs/adolc/metadata.xml
new file mode 100644
index 00000000000..ea1d9dd9ce2
--- /dev/null
+++ b/sci-libs/adolc/metadata.xml
@@ -0,0 +1,14 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>sci</herd>
+ <longdescription lang="en">
+ The ADOLC system automatically calculates exact derivatives of a
+ C/C++ function. It uses C++ overloading to record arithmetic
+ operations, which it plays back later in various ways to calculate
+ the requested values.
+</longdescription>
+ <use>
+ <flag name="sparse">Add support for sparse matrix algebra with <pkg>sci-libs/colpack</pkg></flag>
+ </use>
+</pkgmetadata>